Subject: bug#47032: 26.3; doc of `interprogram-paste-function'

From: Po Lu <[email-masked]>
Date: Mon, 20 Jun 2022 18:03:42 +0800

Eli Zaretskii <[email-masked]> writes:

> It's hard to clarify what the manual says because this is not
> implemented yet in Emacs, see xselect.c (search for QMULTIPLE).
>
> In a nutshell, this is something we hope will be implemented some day,
> and if so, probably only for X selections.

The MULTIPLE target is unrelated to the question at hand, as it only
provides a more efficient way for clients to request multiple targets of
the same selection at once.  Emacs also implements the MULTIPLE target,
but only for requests from other clients.

The ICCCM doesn't define a specific "list" format, but it does define
separators for several data types.  If you want to respond to a
selection request with a list of file names, then add a selection
converter to `selection-converter-alist' that returns a cons of
`C_STRING' and the encoded file names in a single unibyte string,
separated by NULL bytes.